@charset "UTF-8";
:root {
    --orange-bg: rgb(185, 94, 5); /* Définition de la variable */    
}

h2 {
	font-size: 1.15rem;
}
h3 {
font-size: 1.15rem;
}

h3.accueil {
	color: var(--bs-info-text-emphasis);
}

h5 {
    font-weight: normal;
    font-size: 0.83em;
}

i.orange,
div.orange {
	color: var(--orange-bg);
}

/* pas utilisé
div.gras {
	font-weight: bold;
}
*/
/* pas utilisé
.tailleMax {
	color: red;
	size: 60px;
}
*/
/*
td.truncate {
	width: 50px;  Fixed width for the column 
	overflow: hidden;  Hide overflow content 
	white-space: nowrap;  Prevent text wrapping 
	text-overflow: ellipsis;  Add ellipsis (...) 
}*/
/*
.darkred-text {	
	color: var(--orange-bg);
}
*/
/*
.cache {
	display: none;
}*/

/* Styles pour les checkboxes */
.form-check-input-BnF.is-valid, .was-validated .form-check-input-BnF:valid
{
	border-color: var(--bs-card-color);
}

.form-check-input-BnF.is-valid:checked, .was-validated .form-check-input-BnF:valid:checked
{
	background-color: var(--bs-form-valid-color);	
}

.form-check-input-BnF.is-valid ~.form-check-label, .was-validated .form-check-input:valid
	 ~.form-check-label-BnF {
	color: var(--bs-card-color);	
}

.form-check-label-BnF {
	font-size: 0.875rem; /* Taille du texte réduite (exemple : 14px) */
}

.form-check-input-BnF[type="checkbox"] {
	border-radius: .25em;
	border-color: black;
}

.emailTrunc {
	display: inline-block;
	/* Nécessaire pour que text-overflow fonctionne */
	width: 25ch;
	/* Définit la largeur pour afficher 20 caractères (approximativement) */
	/*overflow: hidden;  Cache le texte qui déborde */
	/*white-space: nowrap;*/
	/* Empêche le texte de passer à la ligne suivante 
	text-overflow: ellipsis;*/
	/* Ajoute des points de suspension à la fin du texte tronqué */
	/*border: 1px solid #ccc;  Optionnel : pour visualiser la zone */
	/*padding: 5px;  Optionnel : ajout de l'espace autour du texte */
}

/*
.nomCompletTrunc {*/
	/*display: inline-block;*/
	/* Nécessaire pour que text-overflow fonctionne */
	/*	width: 12ch;*/	
/*}*/

.numeroTrunc {
	display: inline-block;
	/* Nécessaire pour que text-overflow fonctionne */
		width: 25ch;	
}

.metablissementTrunc {
	display: inline-block;
	/* Nécessaire pour que text-overflow fonctionne */
	width: 20ch;	
}

.fixed-table-toolbar {
  height: 0;
  overflow: hidden;
}

.nav-item-center {
    display: flex; /* Active Flexbox */
    align-items: center; /* Centre verticalement */    
}

/*
input[type=submit],
input[type=reset],
input[type=button] {	
	 background-color: var(--orange-bg);	
}
*/
input[type=button] {	
	 background-color: var(--orange-bg);	
}


button[type=submit],
button[type=reset]
{	
    background-color: var(--orange-bg);
	padding: 1em 1.8em;
	color: #fff;
	border: none;
	text-transform: uppercase;
	font-size: 0.85em;
	font-weight: bold;
	letter-spacing: 0.1em;
	min-width: 10em;
	cursor: pointer;
}

button[type=submit]:hover,
button[type=reset]:hover,
button[type=submit]:active,
button[type=reset]:active
{
	background-color: var(--orange-bg);
}

button[type=button],
button[type=button]:hover
button[type=button]:active
{
	background-color: var(--orange-bg);
}

.btn.btn-link.action-archiver {
	background-color: transparent;
}

.form-select {	
	border: var(--bs-border-width) solid ;
}


.btn-orange {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--orange-bg);
  --bs-btn-border-color: #6c757d;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--orange-bg);
  --bs-btn-hover-border-color: #565e64;
/*  --bs-btn-focus-shadow-rgb: 130,138,145; */
  --bs-btn-focus-box-shadow : 0 0 0 .25rem rgba(13, 110, 253, .25);     /* idem champ de formulaire */
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--orange-bg);
  --bs-btn-active-border-color: #51585e;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #6c757d;
  --bs-btn-disabled-border-color: #6c757d;
}

textarea.form-control {
	border: var(--bs-border-width) solid ;
}

#footer {
    color: white;
    background: var(--orange-bg);    
    width: 100%;
    display: flex;    
    align-items: center; /* Centre verticalement */
    justify-content: center; /* Centre horizontalement */
}

/* boutons de défilement */

#btn-back-to-top {
  	position: fixed;
  	top: 110px;
  	right: 18px;
  	display: none;
  	z-index : 4;	/* devant le tableau sous-jacent */
}

#btn-go-to-bottom {
  	position: fixed;
  	bottom: 120px;
  	right: 18px;
  	display: none;
  	z-index : 4;	/* devant le tableau sous-jacent */
}

/* boutons de sélection multiple */
.btn-select-contenu:after {
	content: "\00a0 ";		    /* séparateur insécable avant la croix de fermeture */
}

.custom-textarea {
     width: 100%;
     height: calc(3em * 1.5); /* Hauteur pour 3 lignes */
     line-height: 1.5; /* Hauteur de ligne */
}

.custom-textarea-5 {
     width: 100%;
     height: calc(5em * 1.5); /* Hauteur pour 5 lignes */
     line-height: 1.5; /* Hauteur de ligne */
}

/* n'existe pas au-dela de border-5 */
.border-10-en-plus {
	border-width: 10px!important;
}

/**
 Acessibilité
**/
#skip_link {
	position : absolute;
	top : 0;
	left : -200px;
	transition: 2s;
	z-index: 4;
}

#skip_link:focus {
	left : 0;
	transition: 0.2s;
}

#skip_link.skip_link_a {
	color: black;
}

/** redefinition*/
main form > fieldset {
  min-width: 0;
  padding: 0;
  margin: 0;
  border: 0;
}


main form > fieldset legend {
  position: relative;
  top: 0rem;
  margin-bottom: 1rem;
  margin-top: 0rem;
}